// ICmCellListener.h
//
#if !defined(_ICMCELLLISTENER_H_)
#define _ICMCELLLISTENER_H_

#include "cmString.h"

class ICmCellListener
{
public:
	virtual bool OnValueChanged(const cmString& fieldName, double oldValue, double newValue) = 0;
	virtual bool OnValueChanged(const cmString& fieldName, long oldValue, long newValue) = 0;
	virtual bool OnValueChanged(const cmString& fieldName, bool oldValue, bool newValue) = 0;
	virtual bool OnValueChanged(const cmString& fieldName, cmString oldValue, cmString newValue) = 0;

};

#endif //!defined(_ICMCELLLISTENER_H_)